package edu.ucf.cs.courses.cop4610l.beans.crypto;

/**
 * @author Mathew B. Lowery
 * @version 1.0
 */

import java.util.*;

import java.io.*;

/**
 * An event that encapsulates a piped input stream.
 * @see Crypto
 * @see TransformCompletedListener
 */
public class TransformCompletedEvent extends EventObject {
  private InputStream stream;

  public TransformCompletedEvent(Object source, InputStream stream) {
    super(source);
    this.stream = stream;
  }

  public void setStream(InputStream stream) {
    this.stream = stream;
  }

  public InputStream getStream() {
    return stream;
  }
} // TransformCompletedEvent